Bug 65325 - Rpm-build doesn't strip binaries any more
Summary: Rpm-build doesn't strip binaries any more
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-22 01:12 UTC by Giuseppe Ragusa
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-22 01:12:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Giuseppe Ragusa 2002-05-22 01:12:24 UTC
Description of Problem:



Starting from rpm-build 4.0.4-7x update for RH 7.2 and verified on default RH 7.3 package too, the rpm-build process doesn't strip binaries when recompiling src.rpm packages with --rebuild nor with -ba (verified running as user only, with proper topdir etc. working)




Version-Release number of selected component (if applicable):






4.0.4-7x




How Reproducible:






Every time.




Steps to Reproduce:



1. Pick any src.rpm package    
2. Issue a simple rpm --rebuild    
3. Try to run rpmlint (or check binaries with file command after installing)

Actual Results:






unstripped-binary-or-object




Expected Results:






binaries stripped by default




Additional Information:




rpm-build from 4.0.3 (as standard on unpatched RH 7.2) works fine

Comment 1 Jeff Johnson 2002-05-31 13:56:57 UTC
This is a change between Red Hat 7.3 and Red Hat 7.3.
Symbols are no longer stripped by rpm as shipped by Red Hat.

Comment 2 Need Real Name 2002-10-01 13:32:55 UTC
To fix this situation go and change file /usr/lib/rpm/brp-strip.
In the line "strip -g $f || :" cut option "-g".


Note You need to log in before you can comment on or make changes to this bug.